Bug 210315 - Gstreamer SIGSEGV
Gstreamer SIGSEGV
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libtheora (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 216686
  Show dependency treegraph
 
Reported: 2006-10-11 10:51 EDT by Michal Babej
Modified: 2013-07-31 19:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 09:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GDB backtrace (783 bytes, text/plain)
2006-10-11 10:51 EDT, Michal Babej
no flags Details
latest crash bt (4.70 KB, text/plain)
2006-12-08 10:58 EST, Michal Babej
no flags Details
GST_DEBUG output (last 1000 lines) (131.75 KB, text/plain)
2006-12-08 11:55 EST, Michal Babej
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 333112 None None None Never

  None (edit)
Description Michal Babej 2006-10-11 10:51:45 EDT
Description of problem:
Player that uses gstreamer (Rhythmbox/Totem) crashes.

Version-Release number of selected component (if applicable):
gstreamer-0.10.9-2

How reproducible:
seldom

Steps to Reproduce:
It appeared always while i was playing with "Next/Previous" buttons in
Rhythmbox/Totem
  
Actual results:
SIGSEGV

Additional info:
see bt attached
Comment 1 Michal Babej 2006-10-11 10:51:45 EDT
Created attachment 138239 [details]
GDB backtrace
Comment 3 Bastien Nocera 2006-10-27 06:12:15 EDT
We believe that the crash only exists with this specific file. Could you please
attach the file you were playing when this happened?
Comment 4 Bastien Nocera 2006-10-27 06:20:28 EDT
Tim believes this is fixed in GStreamer CVS:
http://webcvs.freedesktop.org/gstreamer/gst-plugins-base/ext/ogg/gstoggdemux.c?r1=1.158&r2=1.159
Comment 6 Bastien Nocera 2006-12-08 10:08:10 EST
Any chance for you to test the patch?
Comment 7 Michal Babej 2006-12-08 10:56:48 EST
Tested it, bug is still there. 

Versions:
gstreamer-0.10.10-2.fc6
gstreamer-debuginfo-0.10.10-2.fc6
gstreamer-plugins-base-0.10.10-1.fc6
gstreamer-plugins-base-debuginfo-0.10.10-1.fc6
gstreamer-plugins-fluendo-0.10-6
gstreamer-plugins-good-0.10.4-1.fc6
gstreamer-plugins-good-debuginfo-0.10.4-1.fc6
gstreamer-tools-0.10.10-2.fc6
Comment 8 Michal Babej 2006-12-08 10:58:04 EST
Created attachment 143158 [details]
latest crash bt
Comment 9 Bastien Nocera 2006-12-08 10:59:45 EST
Could you also attach the full output of 
GST_DEBUG=*.5 totem *.ogg
when you reproduce the problem?
Comment 10 Michal Babej 2006-12-08 11:55:33 EST
Created attachment 143166 [details]
GST_DEBUG output (last 1000 lines)
Comment 11 Michal Babej 2006-12-11 11:03:37 EST
did it help at all ? the whole output is rather long :)
Comment 12 Bastien Nocera 2008-04-01 09:19:45 EDT
Right, this is very old, and I think it's caused by libtheora as per bug 232179.
Let me know if it's still a problem.
Comment 13 Hans de Goede 2008-04-01 09:44:13 EDT
(In reply to comment #12)
> Right, this is very old, and I think it's caused by libtheora as per bug 232179.
> Let me know if it's still a problem.

Yes, this sounds very much like the libtheora memory corruption bug, which is
fixed in F-7 (through updates) and F-8, since FC-6 is end of life I'm closing
this as won't fix.

Note You need to log in before you can comment on or make changes to this bug.